Subject: Re: linux-next: manual merge of the mfd tree with the input tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 30 Jul 2025 09:17:29 +1000

Hi all,

On Thu, 3 Jul 2025 14:01:55 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the mfd tree got a conflict in:
> 
>   drivers/input/keyboard/adp5589-keys.c
> 
> between commit:
> 
>   43a8440f3969 ("Input: adp5589 - use new GPIO line value setter callbacks")
> 
> from the input tree and commit:
> 
>   3bdbd0858df6 ("Input: adp5589: remove the driver")
> 
> from the mfd tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the input tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell